Debian Bug report logs - #197850
rosegarden4: Some menus are titled "No text!"

version graph

Package: rosegarden4; Maintainer for rosegarden4 is (unknown);

Reported by: Forrest Cahoon <fc_debbug@abstractfactory.org>

Date: Wed, 18 Jun 2003 03:33:02 UTC

Severity: normal

Found in version 0.9.1-1

Fixed in version rosegarden4/1.0-1

Done: Enrique Robledo Arnuncio <era@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Enrique Robledo Arnuncio <era@debian.org>:
Bug#197850; Package rosegarden4. Full text and rfc822 format available.

Acknowledgement sent to Forrest Cahoon <fc_debbug@abstractfactory.org>:
New Bug report received and forwarded. Copy sent to Enrique Robledo Arnuncio <era@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Forrest Cahoon <fc_debbug@abstractfactory.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rosegarden4: Some menus are titled "No text!"
Date: Tue, 17 Jun 2003 22:29:08 -0500
Package: rosegarden4
Version: 0.9.1-1
Severity: normal

The menu on top of the Rosegarden main window shows:
"No text!  No text!  Segments  Tracks  Studio  Transport  Tools  No text!  No text!"

In the Notation Editor window it's:

"View  No text!  Group  Notes  Marks  Transforms  Move  Transport  Tools  Settings"

In the Event List window, there's only one menu item:
"No text!"

This menu item is empty.

In the Matrix Editor window it's
"No text!  View  Transforms  Move  Tranport  Tools  Settings"

I am using the default "C" locale.  I've tried this both under KDE and GNOME.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux gemini 2.4.20 #1 SMP Sat Jun 14 23:09:20 CDT 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages rosegarden4 depends on:
ii  jackd                         0.71.2-1   JACK Audio Connection Kit (server 
ii  kdelibs4                      4:3.1.2-2  KDE core libraries
ii  libart-2.0-2                  2.3.12-1   Library of functions for 2D graphi
ii  libasound2                    0.9.4-2    Advanced Linux Sound Architecture 
ii  libc6                         2.3.1-17   GNU C Library: Shared libraries an
ii  libfam0c102                   2.6.10-1   client library to control the FAM 
ii  libgcc1                       1:3.3-3    GCC support library
ii  libjack0.71.2-0               0.71.2-1   JACK Audio Connection Kit (librari
ii  libpng12-0                    1.2.5.0-4  PNG library - runtime
ii  libqt3c102-mt                 3:3.1.1-8  Qt GUI Library (Threaded runtime v
ii  libstdc++5                    1:3.3-3    The GNU Standard C++ Library v3
ii  libxrender1                   0.8.2-1    X Rendering Extension client libra
ii  xlibs                         4.2.1-8    X Window System client libraries
ii  zlib1g                        1:1.1.4-12 compression library - runtime

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Enrique Robledo Arnuncio <era@debian.org>:
Bug#197850; Package rosegarden4. Full text and rfc822 format available.

Acknowledgement sent to Enrique Robledo Arnuncio <gtg833i@mail.gatech.edu>:
Extra info received and forwarded to list. Copy sent to Enrique Robledo Arnuncio <era@debian.org>. Full text and rfc822 format available.

Message #10 received at 197850@bugs.debian.org (full text, mbox):

From: Enrique Robledo Arnuncio <gtg833i@mail.gatech.edu>
To: Forrest Cahoon <fc_debbug@abstractfactory.org>, 197850@bugs.debian.org
Subject: Re: Bug#197850: rosegarden4: Some menus are titled "No text!"
Date: Fri, 20 Jun 2003 23:57:28 -0400
Hi!

I have been trying to reproduce this, and so far I have not succeded.

I have tried with the same locale settings you are using, both under
KDE and under plain old fvwm. In both cases the rosegarden menus show
fine. I have the same version of KDE libraries you have. So I have no
idea where the problem may be.

Maybe you could try to change some settings in your system and see if
the problem persists. For example:

  * Make sure that you have correctly generated the localization data
    for the standard library, by doing:

      # dpkg-reconfigure locales

  * What locales have you selected for generation there (with
    dpkg-reconfigure locales)? And which one as default locale?

    You can maybe try adding there "en_US" if you did not have it
    added.

  * Try with other locale settings in your environment variables, such
    as en_US.

Please, let me know what you find out.

Thanks,

   Enrique.

On Tue, Jun 17, 2003 at 10:29:08PM -0500, Forrest Cahoon wrote:
> Package: rosegarden4
> Version: 0.9.1-1
> Severity: normal
> 
> The menu on top of the Rosegarden main window shows:
> "No text!  No text!  Segments  Tracks  Studio  Transport  Tools  No text!  No text!"
> 
> In the Notation Editor window it's:
> 
> "View  No text!  Group  Notes  Marks  Transforms  Move  Transport  Tools  Settings"
> 
> In the Event List window, there's only one menu item:
> "No text!"
> 
> This menu item is empty.
> 
> In the Matrix Editor window it's
> "No text!  View  Transforms  Move  Tranport  Tools  Settings"
> 
> I am using the default "C" locale.  I've tried this both under KDE and GNOME.
> 
> -- System Information:
> Debian Release: testing/unstable
> Architecture: i386
> Kernel: Linux gemini 2.4.20 #1 SMP Sat Jun 14 23:09:20 CDT 2003 i686
> Locale: LANG=C, LC_CTYPE=C
> 
> Versions of packages rosegarden4 depends on:
> ii  jackd                         0.71.2-1   JACK Audio Connection Kit (server 
> ii  kdelibs4                      4:3.1.2-2  KDE core libraries
> ii  libart-2.0-2                  2.3.12-1   Library of functions for 2D graphi
> ii  libasound2                    0.9.4-2    Advanced Linux Sound Architecture 
> ii  libc6                         2.3.1-17   GNU C Library: Shared libraries an
> ii  libfam0c102                   2.6.10-1   client library to control the FAM 
> ii  libgcc1                       1:3.3-3    GCC support library
> ii  libjack0.71.2-0               0.71.2-1   JACK Audio Connection Kit (librari
> ii  libpng12-0                    1.2.5.0-4  PNG library - runtime
> ii  libqt3c102-mt                 3:3.1.1-8  Qt GUI Library (Threaded runtime v
> ii  libstdc++5                    1:3.3-3    The GNU Standard C++ Library v3
> ii  libxrender1                   0.8.2-1    X Rendering Extension client libra
> ii  xlibs                         4.2.1-8    X Window System client libraries
> ii  zlib1g                        1:1.1.4-12 compression library - runtime
> 
> -- no debconf information
> 



Reply sent to Enrique Robledo Arnuncio <era@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Forrest Cahoon <fc_debbug@abstractfactory.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 197850-close@bugs.debian.org (full text, mbox):

From: Enrique Robledo Arnuncio <era@debian.org>
To: 197850-close@bugs.debian.org
Subject: Bug#197850: fixed in rosegarden4 1.0-1
Date: Sat, 19 Feb 2005 18:47:49 -0500
Source: rosegarden4
Source-Version: 1.0-1

We believe that the bug you reported is fixed in the latest version of
rosegarden4, which is due to be installed in the Debian FTP archive:

rosegarden4_1.0-1.diff.gz
  to pool/main/r/rosegarden4/rosegarden4_1.0-1.diff.gz
rosegarden4_1.0-1.dsc
  to pool/main/r/rosegarden4/rosegarden4_1.0-1.dsc
rosegarden4_1.0-1_i386.deb
  to pool/main/r/rosegarden4/rosegarden4_1.0-1_i386.deb
rosegarden4_1.0.orig.tar.gz
  to pool/main/r/rosegarden4/rosegarden4_1.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 197850@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Enrique Robledo Arnuncio <era@debian.org> (supplier of updated rosegarden4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 18 Feb 2005 12:40:48 -0500
Source: rosegarden4
Binary: rosegarden4
Architecture: source i386
Version: 1.0-1
Distribution: unstable
Urgency: low
Maintainer: Enrique Robledo Arnuncio <era@debian.org>
Changed-By: Enrique Robledo Arnuncio <era@debian.org>
Description: 
 rosegarden4 - music editor and MIDI/audio sequencer
Closes: 197850 245417 289024
Changes: 
 rosegarden4 (1.0-1) unstable; urgency=low
 .
   * New upstream version.
   * Updated description: Removed comments about beta version
     (debian/control).
   * Updated README.Debian.
      ** Removed comments about beta version
      ** Updated section on real time issues.
      ** Updated information about starting jackd.
      ** Updated information about the old rosegarden.
      ** Added information about application naming.
   * Removed unnecesary capital letters from description synopsys
     (debian/control).
   * Fixed application naming inconsistencies
      ** KDE application name changed to "rosegarden4" (gui/main.cpp).
      ** KDE dcop name changed to "rosegarden4" (gui/rosegardendcop.h).
      ** The automake definitions now use rosegarden4_ instead of rosegarden
         (gui/Makefile.am).
      ** The application data and the rc directories have been moved from
         "rosegarden" to "rosegarden4" (gui/Makefile.am).
      ** Handbook name changed to "rosegarden4" (gui/docs/*/Makefile.am,
         gui/docs/*/index.docbook).
      ** Removed manual renaming of the executable (debian/rules).
      ** This makes locales work properly (closes: #197850, #245417, #289024).
Files: 
 82674f9c6805bd96ed5b209dc694b280 693 sound optional rosegarden4_1.0-1.dsc
 5e7896509a0d489b22c3c1d996ec5820 5967844 sound optional rosegarden4_1.0.orig.tar.gz
 254f991c4a7d1e1fa6d85fdef601b89e 51632 sound optional rosegarden4_1.0-1.diff.gz
 41b48eebbf4d9b94197c7a8e9cbf9782 7059224 sound optional rosegarden4_1.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCFjM0fq6Nk09BE6IRAjk+AJ0Y/X1fseKxd3JbCBjtB3nYBN6EHQCgqWMM
XyCLoxNeRrlCsc+uxvHc2QA=
=Jf2K
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:15:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.